%global		dnf_version 5.2.13.0
%global		plugin_version 0.2.0

Name:		libdnf5-plugin-fiflock
Version:	%{dnf_version}+%{plugin_version}
Release:	1%{?dist}
Summary:	DNF plugin to prevents non-fif packages from overriding fif ones

License:	GPLv3
Source0:	dnf5-%{dnf_version}.tar.gz
Source1:	fiflock.tar.gz

BuildRequires:  bash-completion-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(librepo)
BuildRequires:  pkgconfig(libsolv)
BuildRequires:  pkgconfig(libsolvext)
BuildRequires:  pkgconfig(rpm)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  toml11-static
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++ >= 10.1
BuildRequires:  pkgconfig(libcomps)
BuildRequires:  pkgconfig(modulemd-2.0)
BuildRequires:  pkgconfig(zck)
BuildRequires:  pkgconfig(smartcols)
BuildRequires:  pkgconfig(sdbus-c++) >= 0.9.0

%description
The Fiflock libdnf5 plugin prevents any official packages from
overriding any released version of a fif package.

%prep
%autosetup -n dnf5-%{dnf_version}
pushd libdnf5-plugins
tar xf %{SOURCE1}
echo 'add_subdirectory("fiflock")' >> CMakeLists.txt
popd

%build
%cmake \
    -DPACKAGE_VERSION=%{dnf_version} \
    \
    -DENABLE_SOLV_FOCUSNEW=ON \
    \
    -DWITH_DNF5DAEMON_CLIENT=OFF \
    -DWITH_DNF5DAEMON_SERVER=OFF \
    -DWITH_LIBDNF5_CLI=ON \
    -DWITH_DNF5=ON \
    -DWITH_DNF5_OBSOLETES_DNF=OFF \
    -DWITH_PLUGIN_ACTIONS=OFF \
    -DWITH_PLUGIN_APPSTREAM=OFF \
    -DWITH_PLUGIN_EXPIRED_PGP_KEYS=OFF \
    -DWITH_PLUGIN_RHSM=OFF \
    -DWITH_PYTHON_PLUGINS_LOADER=OFF \
    \
    -DWITH_COMPS=ON \
    -DWITH_MODULEMD=ON \
    -DWITH_ZCHUNK=ON \
    -DWITH_SYSTEMD=OFF \
    \
    -DWITH_HTML=OFF \
    -DWITH_MAN=OFF \
    \
    -DWITH_GO=OFF \
    -DWITH_PERL5=OFF \
    -DWITH_PYTHON3=OFF \
    -DWITH_RUBY=OFF \
    \
    -DWITH_SANITIZERS=OFF \
    -DWITH_TESTS=OFF \
    -DWITH_PERFORMANCE_TESTS=OFF \
    -DWITH_DNF5DAEMON_TESTS=OFF

%__cmake --build %{__cmake_builddir}/libdnf5-plugins/fiflock %{?_smp_mflags} --verbose

%install
%make_install -C %{__cmake_builddir}/libdnf5-plugins/fiflock
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%{_libdir}/libdnf5/plugins/fiflock.*
%config %{_sysconfdir}/dnf/libdnf5-plugins/fiflock.conf

%changelog
* Sat Apr 26 2025 Philippe Troin <phil@fifi.org> - 5.2.13.0+0.2.0-1
- Update dnf5 to 5.2.13.0.
- Update dependencies and build flags.

* Sat Dec 28 2024 Philippe Troin <phil@fifi.org> - 5.2.8.1+0.2.0-1
- Limit exclude set to available packages.

* Sat Dec 14 2024 Philippe Troin <phil@fifi.org> - 5.2.8.1+0.1.0-1
- Created.
